/*
 * This file is a part of Netacka 3D.
 *
 * Copyright 2010
 * Leszek Bartkowski, Mikołaj Dądela, Paweł Marczewski, Jan Szejko
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package netacka3d.logic;

import netacka3d.data.ArenaData;
import netacka3d.data.MatchSettings;
import netacka3d.data.PlayersTable;

/**
 * Klasa opisująca pełny stan aktualnej gry.
 * 
 * Gra = ciąg meczy.
 */

public class Game {
        
    /** stan meczu (z enuma) */
    public MatchState matchState;
    
    /** numer rundy */
    public int roundNum;
    
    /** Numer kroku (od zmiany stanu). Jeśli mamy krok numer t, to znaczy, że
     * (na serwerze!) segmenty numer t są już policzone. */
    public int stepNum;
    
    /** tablica graczy */
    public PlayersTable players;
    
    /** aktualne ustawienia meczu */
    public MatchSettings matchSettings;
    
    /** geometria planszy i wstęg */
    public ArenaData arenaData;
    
    
    protected Game() {
        this.matchState = MatchState.ROUND_WARMUP;
        this.roundNum = 0;
        this.stepNum = 0;
        this.players = new PlayersTable();
    }

    
    public enum MatchState {
        MATCH_WARMUP, ROUND_WARMUP, ROUND, ROUND_FINISHED, MATCH_FINISHED
    }

}
